InvalidCredentialsException (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient.auth

## Class InvalidCredentialsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.httpclient.HttpException
        - - org.apache.commons.httpclient.ProtocolException
          - - org.apache.commons.httpclient.auth.AuthenticationException
            - - org.apache.commons.httpclient.auth.InvalidCredentialsException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidCredentialsException
      extends AuthenticationException

  Authentication credentials required to respond to a authentication challenge are invalid
  Since:
    3.0
  Author:
    Oleg Kalnichevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidCredentialsException()` Creates a new InvalidCredentialsException with a `null` detail message.
    `InvalidCredentialsException(java.lang.String message)` Creates a new InvalidCredentialsException with the specified message.
    `InvalidCredentialsException(java.lang.String message, java.lang.Throwable cause)` Creates a new InvalidCredentialsException with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.httpclient.HttpException

      `getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidCredentialsException

          public InvalidCredentialsException()

      Creates a new InvalidCredentialsException with a `null` detail message.

    - #### InvalidCredentialsException

          public InvalidCredentialsException(java.lang.String message)

      Creates a new InvalidCredentialsException with the specified message.
      Parameters:
        `message` - the exception detail message

    - #### InvalidCredentialsException

          public InvalidCredentialsException(java.lang.String message,
                                     java.lang.Throwable cause)

      Creates a new InvalidCredentialsException with the specified detail message and cause.
      Parameters:
        `message` - the exception detail message
        `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright (c) 1999-2005 - Apache Software Foundation